/*
 *   Copyright 2013 Brian Rosenberger (Brutex Network)
 *
 *   Licensed under the Apache License, Version 2.0 (the "License");
 *   you may not use this file except in compliance with the License.
 *   You may obtain a copy of the License at
 *
 *       http://www.apache.org/licenses/LICENSE-2.0
 *
 *   Unless required by applicable law or agreed to in writing, software
 *   distributed under the License is distributed on an "AS IS" BASIS,
 *   WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *   See the License for the specific language governing permissions and
 *   limitations under the License.
 */
package net.brutex.svn;

/**
 * The Enum SVNLookCommand. Lists supported svnlook commands
 *
 * @author Brian Rosenberger, bru(at)brutex.de
 * @since 0.1
 */
public enum SVNLookCommand {
	

	
	CHANGED("changed"),
	LOG("log"),
	AUTHOR("author");
	
	private final String value;
	
	private SVNLookCommand(String value) {
		this.value = value;
	}
	
	public String getValue() {
		return this.value;
	}

}
